@media only screen and (max-width: 1400px){

  
}

@media (max-width: 1245px) {
    .HeaderNav {
        top: 0;
    }
    nav.NavBar.Container {
        margin: 0;
        max-width: 100%;
        border-radius: 0;
    }
    .videContainer {
        padding: 0 30px;
        width: 100%;
    }
}
@media (max-width: 1024px) {
    div#product-grid {
        grid-template-columns: repeat(3, 1fr) !important;
    }
    .product-grid {
        grid-template-columns: repeat(3, 1fr);
    }
    .Vide {
        display: none;
    }
    .hero-section {
        width: 100%;
    }
    .SimilarProduct {
        display: none;
    }
    .ContainerGrid2.container {
        padding: 0 20px;
    }
    .ProductContent {
        width: 100%;
    }
    section.similairesSection.container {
        padding: 0 20px;
    }
}

@media only screen and (max-width: 768px){
    .MrgSetf{
        margin-top:4rem;
    }
    .container-sombre{
        opacity: 1;
        transition: opacity ease-in 0.3s;
    }
    .Bar-top {
        display: inline-block;
    }
    
    .NavBarLeft {
        display: none; /* Hide menu by default */
        position: absolute;
        top: 78px; /* Adjust based on your navbar height */
        left: 0;
        width: 100%;
        background-color: white; /* Adjust as needed */
        z-index: 1000;
        padding: 10px 0;
        height: auto;
      }
      .Sobreg.active{
        width: 100%;
        height: 100%;
        left: 0;
        z-index: 12;
        top:0;
        background-color: rgba(0, 0, 0, 0.679);
        position: fixed;
      }
      body.active{
        overflow: hidden;
      }
      .NavBarLeft a {
        padding: 15px 20px;
        text-align: center;
        width: 100%;
        border-bottom: 1px solid #ddd;
        text-decoration: none;
        font-size: 18px; /* Adjust as needed */
        color: black;
      }
      
      .NavBarIconeBars {
        display: block; /* Show the bars icon */
        cursor: pointer;
      }
      
      /* When menu is open */
      .NavBarLeft.active {
        display: flex; /* Show menu when active */
      } 
    .Container-image{
        width: 100%;
    }
    .product-image-mini {
        width: 100%;
    }
    .product-image-mini img {
        width: 100%;
        height: auto;
    }
    .product-details h1 {
        font-size: 17px;
    }
    p.description {
        margin-top: 0;
    }
    .product-image img {
        width: 100%;
        max-width: 100%;
    }
    .sectionProduct {
        margin-top: 7rem;
    }
    .product-details {
        margin-left: 0;
    }
    .FontEmptyCoffe {
        height: 200px;
    }
    .FontEmptyCoffe h1 {
        font-size: 27px;
        line-height: 1.2;
    }
    .product-image{
        display: none;
    }
    .ActiveOpacity{
        opacity: 1;
    }
    .ContaonerPara {
        padding: 0 10px;
    }
    img.lazy {
        height: auto;
    }
    .product-card h3,.product-card p{
        font-size: .7rem;
    }
    div#product-grid {
        grid-template-columns: repeat(2, 1fr);
    }
    .form-contact {
        flex-direction: column-reverse;
        padding: 0 20px;
    }
    iframe {
        height: 400px;
    }
        form.form-submit {
            width: 100%;
        }
        .cart-container{
            width: 100%;
            padding-top: .7rem;
        }
        .SectionMain {
            height: max-content;
            margin-top: 3rem;
            background-position: left;
        }
        span.Basekgorg {
            color: red;
            font-size: 0.9rem;
        }

    .product-grid {
        grid-template-columns: repeat(2, 1fr) !important;
    }
    .product-details {
        margin-left: 0;
        margin-top: 1rem;
    }
    div#product-grid{
        grid-template-columns: repeat(2, 1fr) !important;
    }
    section.section {
        padding-top: 55px;
        padding-left: 0;
        padding-right: 0;
    }
    .NavBarLeft {
        display: none;
    }
    .TxtMobile{
        display: none;
    }
    .iconeMobile{
        display: none;
    }
    .BarsCont{
        display: inline-block;
    }
    .BarsCont{
        display: flex;
        align-items: center;
        justify-content: center;
    }
    i.fas.fa-bars {
        font-size: 25px;
    }
    .MainLogo img {
        width: 74px;
    }
    a.button-buy {
        width: 30px;
        font-size: 13px;
        height: 32px;
        color: white;
        background: #06543C;
    }
    .hero-section {
        padding-top: 40px;
        padding-bottom: 40px;
        justify-content: center;
        display: flex;
        flex-direction: column;
        align-items: center;
    }
    .testimonial-content{
      max-width: 100%;
    }
    .HeaderNav {
        /* padding-left: 20px;
        padding-right: 20px; */
    }
    .hero-section h1 {
        text-align: center;
        font-size: 23px;
    }
    .hero-section p {
        text-align: center;
        font-size: 15px;
    }
}

@media (max-width: 480px) {
    section.similairesSection.container {
        padding: 0 10px;
    }
    .container-btn {
        height: 35px;
        font-size: .8rem;
    }
    .ContainerGrid2.container {
    padding: 0 10px;
}
    .product-grid {
        grid-template-columns: 1fr;
    }
}
